package results;

import java.util.Enumeration;
import java.util.Vector;

/** Judges who gave the same amount of points */
final class PointJudges
  implements Comparable<PointJudges>
{
  /** The points */
  int points;
  /** The judges */
  private Vector<Judge> judges = new Vector<Judge> ();
  /** Constructor
   * @param points	the points given
   */
  PointJudges (int points) {
    this.points = points;
  }
  /** Add a judge
   * @param judge	a judge who gave the amount of points
   */
  void add (Judge judge) {
    judges.add (judge);
  }
  /** Get the number of judges */
  int getNumJudges () { return judges.size (); }
  /** Get an enumeration of all judges */
  Enumeration<Judge> getJudges () {
    return judges.elements ();
  }
  /** Compare the points
   * @param object	object to be compared to this
   * @return		difference in the points
   */
  public int compareTo (PointJudges object) {
    return points - object.points;
  }
}
