package results;

/** Points given by a judge */
final class Points
{
  /** The judge */
  Judge judge;
  /** Original points given by the judge */
  Integer orig;
  /** Rectified points */
  Integer rect;

  /** Constructor
   * @param judge	the judge
   * @param points	points given by the judge
   */
  Points (Judge judge, Integer points) {
    this.judge = judge;
    orig = points;
    rect = null;
  }

  /** Replace points with the average.
   * @param average	the average value
   */
  void rectify0 (int average) {
    rect = new Integer (average);
  }
  /** Replace points deviating by at least 3 points with the average.
   * @param average	the average value
   */
  void rectify3 (int average) {
    if (rect == null && (rect = orig) == null) {
      rect = new Integer (average);
      return;
    }
    int d = rect.intValue () - average;
    if (d < -3 || d > 3)
      rect = new Integer (average);
  }
  /** Replace points deviating by at least 2 points with average-2 or +2.
   * @param average	the average value
   */
  void rectify2 (int average) {
    if (rect == null && (rect = orig) == null) {
      rect = new Integer (average);
      return;
    }
    int d = rect.intValue () - average;
    if (d < -2)
      rect = new Integer (average - 2);
    else if (d > 2)
      rect = new Integer (average + 2);
  }
}
